org.apache.commons.configuration2.builder

## Class HierarchicalBuilderParametersImpl

- java.lang.Object
- - org.apache.commons.configuration2.builder.BasicBuilderParameters
  - - org.apache.commons.configuration2.builder.FileBasedBuilderParametersImpl
    - - org.apache.commons.configuration2.builder.HierarchicalBuilderParametersImpl

- All Implemented Interfaces:
    Cloneable, BasicBuilderProperties<BasicBuilderParameters>, BuilderParameters, FileBasedBuilderProperties<FileBasedBuilderParametersImpl>, HierarchicalBuilderProperties<HierarchicalBuilderParametersImpl>
  Direct Known Subclasses:
    XMLBuilderParametersImpl

      public class HierarchicalBuilderParametersImpl
      extends FileBasedBuilderParametersImpl
      implements HierarchicalBuilderProperties<HierarchicalBuilderParametersImpl>

  A specialized parameters object for hierarchical configurations.

  This class defines special properties for hierarchical configurations. Because most hierarchical configurations are file-based configurations this class extends `FileBasedBuilderParametersImpl`.

  Since:
    2.0
  Version:
    $Id: HierarchicalBuilderParametersImpl.java 1624601 2014-09-12 18:04:36Z oheger $

- - ### Field Summary

    - ### Fields inherited from interface org.apache.commons.configuration2.builder.BuilderParameters

      `RESERVED_PARAMETER_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchicalBuilderParametersImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HierarchicalBuilderParametersImpl` | `setExpressionEngine(ExpressionEngine engine)` Sets the `ExpressionEngine` to be used when querying the configuration.

    - ### Methods inherited from class org.apache.commons.configuration2.builder.FileBasedBuilderParametersImpl

      `clone, fromMap, fromParameters, fromParameters, getFileHandler, getParameters, getReloadingDetectorFactory, getReloadingRefreshDelay, setBasePath, setEncoding, setFile, setFileName, setFileSystem, setLocationStrategy, setPath, setReloadingDetectorFactory, setReloadingRefreshDelay, setURL`

    - ### Methods inherited from class org.apache.commons.configuration2.builder.BasicBuilderParameters

      `fetchBeanHelper, fetchInterpolatorSpecification, fetchProperty, merge, setBeanHelper, setConfigurationDecoder, setConversionHandler, setDefaultLookups, setInterpolator, setListDelimiterHandler, setLogger, setParentInterpolator, setPrefixLookups, setSynchronizer, setThrowExceptionOnMissing, storeProperty`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HierarchicalBuilderParametersImpl

          public HierarchicalBuilderParametersImpl()

  - ### Method Detail

    - #### setExpressionEngine

          public HierarchicalBuilderParametersImpl setExpressionEngine(ExpressionEngine engine)

      Sets the `ExpressionEngine` to be used when querying the configuration. This implementation stores the expression engine in the internal parameters map.
      Specified by:
        `setExpressionEngine` in interface `HierarchicalBuilderProperties<HierarchicalBuilderParametersImpl>`
      Parameters:
        `engine` - the `ExpressionEngine`
      Returns:
        a reference to this object for method chaining

Copyright © 2001–2015 The Apache Software Foundation. All rights reserved.